Bug 270594 - java.nio.file.InvalidPathException: Illegal char <:> at index 44: C:\Program Files\NetBeans Dev 201705080001\C:\Users\??\AppData\Local\Temp/gtk.h-20ab32.pth
java.nio.file.InvalidPathException: Illegal char <:> at index 44: C:\Program ...
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Code Model
Dev
All All
: P2 (vote)
: Dev
Assigned To: Vladimir Voskresensky
issues@cnd
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-09 06:25 UTC by Exceptions Reporter
Modified: 2017-05-12 01:44 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (6.72 KB, text/plain)
2017-05-09 06:25 UTC, Exceptions Reporter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Exceptions Reporter 2017-05-09 06:25:33 UTC
This issue was reported manually by ovrabec.
It already has 6 duplicates 


Build: NetBeans IDE Dev (Build 201705080001)
VM: Java HotSpot(TM) 64-Bit Server VM, 25.101-b13, Java(TM) SE Runtime Environment, 1.8.0_101-b13
OS: Windows 8.1

User Comments:
GUEST: ?????????

GUEST: <error>

antoniocs: AND AGAIN!!! This version is unusable!!

antoniocs: I was just typing code and got this again....

GUEST: ???????

antoniocs: I am working on a C++ project and this error keeps poping up randomly. 
As you can see I am using the dev version. I had to move to this version because I was getting errors when I used std::vector (highlighted in red)

Please fix this.




Stacktrace: 
java.nio.file.InvalidPathException: Illegal char <:> at index 44: C:\Program Files\NetBeans Dev 201705080001\C:\Users\??\AppData\Local\Temp/gtk.h-20ab32.pth
   at sun.nio.fs.WindowsPathParser.normalize(WindowsPathParser.java:182)
   at sun.nio.fs.WindowsPathParser.parse(WindowsPathParser.java:153)
   at sun.nio.fs.WindowsPathParser.parse(WindowsPathParser.java:77)
   at sun.nio.fs.WindowsPath.parse(WindowsPath.java:94)
   at sun.nio.fs.WindowsFileSystem.getPath(WindowsFileSystem.java:255)
   at java.nio.file.Paths.get(Paths.java:84)
Comment 1 Exceptions Reporter 2017-05-09 06:25:35 UTC
Created attachment 164283 [details]
stacktrace
Comment 2 Vladimir Voskresensky 2017-05-10 12:54:23 UTC
fixed
http://hg.netbeans.org/cnd-main/rev/df7807735784

When build with the fix is available, qa@netbeans.org will add the message here
Comment 3 Quality Engineering 2017-05-12 01:44:57 UTC
Integrated into 'main-silver', will be available in build *201705120001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/df7807735784
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: fixed #270594 - java.nio.file.InvalidPathException: Illegal char <:>
- support windows C: like patsh


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo